Skip to main content
GET
/
v1
/
machines
List machines
curl --request GET \
  --url https://dcs.dedaluslabs.ai/v1/machines \
  --header 'x-api-key: <api-key>'
{ "items": [ { "autosleep_seconds": 4611686018, "created_at": "2023-11-07T05:31:56Z", "machine_id": "<string>", "memory_mib": 123, "status": { "last_progress_at": "2023-11-07T05:31:56Z", "last_transition_at": "2023-11-07T05:31:56Z", "reason": "<string>", "retryable": true, "revision": "<string>", "last_error": "<string>" }, "storage_gib": 123, "vcpu": 123 } ], "next_cursor": "<string>" }

Documentation Index

Fetch the complete documentation index at: https://docs.dedaluslabs.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

Dedalus API key. Alternative to Bearer token.

Headers

X-Dedalus-Org-Id
string

Query Parameters

limit
integer<int64>
cursor
string

Response

OK

items
object[] | null
required
next_cursor
string
Last modified on May 29, 2026